This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1256097 - Review Request: synapse - Semantic launcher written in Vala
Review Request: synapse - Semantic launcher written in Vala
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
: 1107433 (view as bug list)
Depends On:
Blocks: F21FTBFS
  Show dependency treegraph
 
Reported: 2015-08-23 18:39 EDT by Tonet Jallo
Modified: 2015-11-25 19:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-26 23:21:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tonet Jallo 2015-08-23 18:39:56 EDT
Spec URL: https://tonet666p.fedorapeople.org/synapse/synapse.spec
SRPM URL: https://tonet666p.fedorapeople.org/synapse/synapse-0.2.99.1-1.fc22.src.rpm

Description: 
Hi guys, I just finished the packaging of Synapse and I want a review for it, Synapse was retired and I am following the steps there are in the wiki for unretire this package cause the upstream released a new version some time ago.

Greetings and thank you for your time.

Fedora Account System Username: Tonet666p
Comment 1 Abdel Gadiel Martínez Lassonde 2015-08-23 19:02:26 EDT
Greetings Tonet!

I just reviewed the spec and source RPM. Both of the show the following warning:

synapse.spec:23: W: mixed-use-of-spaces-and-tabs (spaces: line 23, tab: line 1)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

0 packages and 1 specfiles checked; 0 errors, 1 warnings.

Line 23 is not the only line with that warning. Please correct.

In the other hand, I installed your source RPM on my sandbox but it does not work. Do you install your package on a testing environment?

Best regards!
Comment 2 Tonet Jallo 2015-08-23 19:16:53 EDT
Spec URL: https://tonet666p.fedorapeople.org/synapse/synapse.spec
SRPM URL: https://tonet666p.fedorapeople.org/synapse/synapse-0.2.99.1-2.fc22.src.rpm

Description: 
The files are updated now, you can check again.

Greetings and thank you for your time.

Fedora Account System Username: Tonet666p
Comment 3 Abdel Gadiel Martínez Lassonde 2015-08-23 21:23:52 EDT
Greetings Tonet!

I tried the package and it worked. The mixed use of spaces and tabs warning still appears on line 41 of synapse.spec.

It is important to mention that I have to install the Development Tools (specifically gcc) to install the package. According to [1] is not necessary to include gcc package as BuildRequires so it's fine.

Now I will test it with Koji.

[1] https://fedoraproject.org/wiki/HOWTOFindMissingBuildRequires
Comment 4 Abdel Gadiel Martínez Lassonde 2015-08-23 21:36:01 EDT
I build your package using Koji.

Here are my results:
F21: Worked
  http://koji.fedoraproject.org/koji/taskinfo?taskID=10800668
F22: Worked
  http://koji.fedoraproject.org/koji/taskinfo?taskID=10800664
F23: Worked
  http://koji.fedoraproject.org/koji/taskinfo?taskID=10800672
EPEL 6: Failed
  http://koji.fedoraproject.org/koji/taskinfo?taskID=10800683
EPEL 7: Failed
  http://koji.fedoraproject.org/koji/taskinfo?taskID=10800680

If you plan to have Synapse available for EPEL then make the proper corrections. If not, then I think is OK.

Let's wait for a sponsor to validate your package so you can continue the process.

Best regards!
Comment 5 Tonet Jallo 2015-08-24 23:46:56 EDT
Spec URL: https://tonet666p.fedorapeople.org/synapse/synapse.spec
SRPM URL: https://tonet666p.fedorapeople.org/synapse/synapse-0.2.99.1-3.fc22.src.rpm

Description: 
I am a bit perfectionist, and I just fixed the issues, you can check again but synapse will can't be in EPEL because EPEL lacks of zeitgeist-devel. 

Thank you for all friend.

Fedora Account System Username: Tonet666p
Comment 6 Tonet Jallo 2015-08-25 21:41:37 EDT
Spec URL: https://tonet666p.fedorapeople.org/synapse/synapse.spec
SRPM URL: https://tonet666p.fedorapeople.org/synapse/synapse-0.2.99.1-4.fc22.src.rpm

Description: 
More corrections, two buildrequires were removed beacause were not necesary.

Greetings.

Fedora Account System Username: Tonet666p
Comment 7 Christopher Meng 2015-08-27 00:33:31 EDT
1. Drop %defattr(-,root,root,-)

2. Use %make_build to substitute `make %{?_smp_mflags}` if you want.

3. %{_mandir}/man1/synapse.1.gz

->

%{_mandir}/man1/synapse.1*

4. Source0:	https://launchpad.net/synapse-project/0.3/0.2.99.1/+download/%{name}-%{version}.tar.xz

->

Source0:	https://launchpad.net/synapse-project/0.3/%{version}/+download/%{name}-%{version}.tar.xz
Comment 8 Tonet Jallo 2015-08-27 09:30:41 EDT
Spec URL: https://tonet666p.fedorapeople.org/synapse/synapse.spec
SRPM URL: https://tonet666p.fedorapeople.org/synapse/synapse-0.2.99.1-5.fc22.src.rpm

Description: 
Hi Christopher, I already did your recomendations.

Thank you and Greetings.

Fedora Account System Username: Tonet666p
Comment 9 Tonet Jallo 2015-08-28 22:41:11 EDT
New Package SCM Request
=======================
Package Name: synapse
Short Description: Semantic launcher written in Vala
Upstream URL: https://launchpad.net/synapse-project
Owners: tonet666p
Branches: f21 f22 f23
InitialCC: tonet666p
Comment 10 Christopher Meng 2015-08-31 07:07:29 EDT
(In reply to Tonet Jallo from comment #9)
> New Package SCM Request
> =======================
> Package Name: synapse
> Short Description: Semantic launcher written in Vala
> Upstream URL: https://launchpad.net/synapse-project
> Owners: tonet666p
> Branches: f21 f22 f23
> InitialCC: tonet666p

Don't be hasty, I never give + on this. Reviewing now.
Comment 11 Christopher Meng 2015-08-31 07:46:45 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v3 or later)", "LGPL (v2.1 or later)",
     "LGPL (v2 or later)", "GPL (v2 or later)", "GPL (v3 or later)".
     Detailed output of licensecheck:

*No copyright* GPL (v3 or later)
--------------------------------
synapse-0.2.99.1/src/plugins/ssh-plugin.vala

GPL (v2 or later)
-----------------
synapse-0.2.99.1/build-aux/ltmain.sh
synapse-0.2.99.1/src/plugins/banshee-plugin.vala
synapse-0.2.99.1/src/plugins/calculator-plugin.vala
synapse-0.2.99.1/src/plugins/chat-actions-plugin.vala
synapse-0.2.99.1/src/plugins/command-plugin.vala
synapse-0.2.99.1/src/plugins/desktop-file-plugin.vala
synapse-0.2.99.1/src/plugins/devhelp-search.vala
synapse-0.2.99.1/src/plugins/dictionary.vala
synapse-0.2.99.1/src/plugins/directory-plugin.vala
synapse-0.2.99.1/src/plugins/file-op-plugin.vala
synapse-0.2.99.1/src/plugins/gnome-screensaver-plugin.vala
synapse-0.2.99.1/src/plugins/gnome-session-plugin.vala
synapse-0.2.99.1/src/plugins/hello-world-plugin.vala
synapse-0.2.99.1/src/plugins/hybrid-search-plugin.vala
synapse-0.2.99.1/src/plugins/imgur-plugin.vala
synapse-0.2.99.1/src/plugins/launchpad-plugin.vala
synapse-0.2.99.1/src/plugins/locate-plugin.vala
synapse-0.2.99.1/src/plugins/opensearch.vala
synapse-0.2.99.1/src/plugins/pastebin-plugin.vala
synapse-0.2.99.1/src/plugins/pidgin-plugin.vala
synapse-0.2.99.1/src/plugins/rhythmbox-plugin.vala
synapse-0.2.99.1/src/plugins/selection-plugin.vala
synapse-0.2.99.1/src/plugins/system-management.vala
synapse-0.2.99.1/src/plugins/test-slow-plugin.vala
synapse-0.2.99.1/src/plugins/xnoise-media-player-plugin.vala
synapse-0.2.99.1/src/plugins/zeitgeist-plugin.vala
synapse-0.2.99.1/src/plugins/zeitgeist-related.vala
synapse-0.2.99.1/src/ui/tile-view/abstract-tile-object.vala
synapse-0.2.99.1/src/ui/tile-view/tile-view.vala
synapse-0.2.99.1/src/ui/tile-view/tile.vala
synapse-0.2.99.1/src/ui/tile-view/wrap-label.vala

GPL (v3 or later)
-----------------
synapse-0.2.99.1/src/plugins/chromium-plugin.vala
synapse-0.2.99.1/src/plugins/gnome-bookmarks-plugin.vala
synapse-0.2.99.1/src/ui/category.vala
synapse-0.2.99.1/src/ui/controller.vala
synapse-0.2.99.1/src/ui/icon-cache-service.vala
synapse-0.2.99.1/src/ui/interfaces.vala
synapse-0.2.99.1/src/ui/keybindings.vala
synapse-0.2.99.1/src/ui/model.vala
synapse-0.2.99.1/src/ui/settings.vala
synapse-0.2.99.1/src/ui/synapse-main.vala
synapse-0.2.99.1/src/ui/utils.vala
synapse-0.2.99.1/src/ui/view-base.vala
synapse-0.2.99.1/src/ui/view-default.vala
synapse-0.2.99.1/src/ui/view-doish.vala
synapse-0.2.99.1/src/ui/view-essential.vala
synapse-0.2.99.1/src/ui/view-side-doish.vala
synapse-0.2.99.1/src/ui/view-virgilio.vala
synapse-0.2.99.1/src/ui/widgets-matchlistview.vala
synapse-0.2.99.1/src/ui/widgets.vala

LGPL (v2 or later)
------------------
synapse-0.2.99.1/src/core/config-service.vala
synapse-0.2.99.1/src/core/volume-service.vala

LGPL (v2.1 or later)
--------------------
synapse-0.2.99.1/src/core/common-actions.vala
synapse-0.2.99.1/src/core/data-sink.vala
synapse-0.2.99.1/src/core/dbus-service.vala
synapse-0.2.99.1/src/core/desktop-file-service.vala
synapse-0.2.99.1/src/core/match.vala
synapse-0.2.99.1/src/core/plugin.vala
synapse-0.2.99.1/src/core/query.vala
synapse-0.2.99.1/src/core/relevancy-backend-zg.vala
synapse-0.2.99.1/src/core/relevancy-service.vala
synapse-0.2.99.1/src/core/result-set.vala
synapse-0.2.99.1/src/core/utils.vala

[x]: License file installed when any subpackage combination is installed.
[?]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in synapse
[?]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in synapse-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Installation errors
-------------------
INFO: mock.py version 1.2.12 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.12
INFO: Mock Version: 1.2.12
Finish: chroot init
INFO: installing package(s): /home/rpmaker/Desktop/synapse/results/synapse-0.2.99.1-5.fc24.i686.rpm /home/rpmaker/Desktop/synapse/results/synapse-debuginfo-0.2.99.1-5.fc24.i686.rpm /home/rpmaker/Desktop/synapse/results/synapse-debuginfo-0.2.99.1-5.fc24.i686.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 24 install /home/rpmaker/Desktop/synapse/results/synapse-0.2.99.1-5.fc24.i686.rpm /home/rpmaker/Desktop/synapse/results/synapse-debuginfo-0.2.99.1-5.fc24.i686.rpm /home/rpmaker/Desktop/synapse/results/synapse-debuginfo-0.2.99.1-5.fc24.i686.rpm


Rpmlint
-------
Checking: synapse-0.2.99.1-5.fc24.i686.rpm
          synapse-debuginfo-0.2.99.1-5.fc24.i686.rpm
          synapse-0.2.99.1-5.fc24.src.rpm
synapse.src:69: W: macro-in-%changelog %defattr
synapse.src:70: W: macro-in-%changelog %make_build
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Requires
--------
synapse (rpmlib, GLIBC filtered):
    /bin/sh
    libatk-1.0.so.0
    libc.so.6
    libcairo-gobject.so.2
    libcairo.so.2
    libgdk-3.so.0
    libgdk_pixbuf-2.0.so.0
    libgee-0.8.so.2
    libgio-2.0.so.0
    libglib-2.0.so.0
    libgobject-2.0.so.0
    libgthread-2.0.so.0
    libgtk-3.so.0
    libjson-glib-1.0.so.0
    libkeybinder-3.0.so.0
    libm.so.6
    libnotify.so.4
    libpango-1.0.so.0
    libpangocairo-1.0.so.0
    libpthread.so.0
    libzeitgeist-2.0.so.0
    rtld(GNU_HASH)

synapse-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
synapse:
    application()
    application(synapse.desktop)
    synapse
    synapse(x86-32)

synapse-debuginfo:
    synapse-debuginfo
    synapse-debuginfo(x86-32)



Source checksums
----------------
https://launchpad.net/synapse-project/0.3/0.2.99.1/+download/synapse-0.2.99.1.tar.xz :
  CHECKSUM(SHA256) this package     : 846d8a5130580bb47c754bb7f20dc76311e589c00a18b02370a5d78b52409220
  CHECKSUM(SHA256) upstream package : 846d8a5130580bb47c754bb7f20dc76311e589c00a18b02370a5d78b52409220


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -rvn synapse-0.2.99.1-5.fc22.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
----------------------------------------------------------------

1. Fix rpmlint issues.(ignore Installation errors, rawhide is broken)

2. Append --disable-silent-rules to %configure.

3. From licensecheck I don't understand its license, please write a breakdown is spec to clarify the licenses of various sources being used.
Comment 12 Tonet Jallo 2015-09-02 23:00:12 EDT
Hi Christopher, I think the license should be GPLv2+ cause the package contains GPLv2, GPLv2.1 and GPLv3 files, am I right?

Thank you and sorry for my hasty actitude.

Greetings
Comment 13 Christopher Meng 2015-09-03 11:21:11 EDT
(In reply to Tonet Jallo from comment #12)
> Hi Christopher, I think the license should be GPLv2+ cause the package
> contains GPLv2, GPLv2.1 and GPLv3 files, am I right?

Honestly, I don't know this, too. Better pose a question to upstream folks.
Comment 14 Tonet Jallo 2015-09-08 13:27:06 EDT
Hi Christopher, the upstream developer just answer me about the license, he said the next:

"The idea with Synapse was that core/ to be LGPL2.1+ (cause it's basically a library), and the UI GPL3+, licences of the individual plugins are up to the contributors. Since all the licences are "or later", the common denominator is GPL3+"

Then, I will continue with the packaging work when I arrive to home.

Greetings.
Comment 15 Tonet Jallo 2015-09-08 23:01:03 EDT
Spec URL: https://tonet666p.fedorapeople.org/synapse/synapse.spec
SRPM URL: https://tonet666p.fedorapeople.org/synapse/synapse-0.2.99.1-6.fc22.src.rpm

Description: 
Hi Christopher, I just corrected the rpmlint issues and your other recommendations.

Greetings.

Fedora Account System Username: Tonet666p
Comment 16 Christopher Meng 2015-09-09 00:37:14 EDT
PACKAGE APPROVED.

----------------

2 suggestions:

1. Summary:	A semantic launcher written in Vala

to

Summary:	Semantic launcher written in Vala

2. I see a newline above License tag, you should quote words from upstream stated in comment 14.
Comment 17 Maxim Orlov 2015-09-09 05:15:58 EDT
yet in configure.ac written 

PKG_CHECK_MODULES
glib-2.0
gdk-x11-3.0
gtk+-3.0
gio-2.0
gio-unix-2.0
gobject-2.0
gthread-2.0
gee-0.8
json-glib-1.0
keybinder-3.0 
libnotify

PKG_CHECK_EXISTS
appindicator3-0.1
rest-0.7

I did so https://raw.githubusercontent.com/RussianFedora/synapse/master/synapse.spec
Comment 18 Christopher Meng 2015-09-10 09:35:36 EDT
(In reply to region51 from comment #17)
[snip]

Well, you did so doesn't mean he needs to do so-called so as well.

Per this SHOULD guideline[1], anyone can choose to do this or not, besides, it's the packager's duty to check if there are deps in trouble, no matter the dep is renamed or not. I won't set this blocker, it's up to the packager.

[1]---https://fedoraproject.org/wiki/Packaging:PkgConfigBuildRequires
Comment 19 Tonet Jallo 2015-09-10 10:14:32 EDT
Hi, I didn't check the Russian Repo before begin my packaging work, then, what I have to do?, can I continue the work or I need to resolve that problem first?

Greetings and thanks for your time.
Comment 20 Christopher Meng 2015-09-11 22:05:46 EDT
You just need to continue, R Fedora is a third party repo.
Comment 21 Christopher Meng 2015-09-11 22:06:22 EDT
*** Bug 1107433 has been marked as a duplicate of this bug. ***
Comment 22 Tonet Jallo 2015-09-11 22:16:58 EDT
New Package SCM Request
=======================
Package Name: synapse
Short Description: Semantic launcher written in Vala
Upstream URL: https://launchpad.net/synapse-project
Owners: tonet666p
Branches: f21 f22 f23
InitialCC: tonet666p
Comment 23 Christopher Meng 2015-09-16 08:39:45 EDT
You forgot to change fedora-cvs tag.
Comment 24 Tonet Jallo 2015-09-16 11:42:46 EDT
lol, my bad
Comment 25 Christopher Meng 2015-09-16 11:48:38 EDT
Read carefully:

http://fedoraproject.org/wiki/Package_SCM_admin_requests
Comment 26 Tonet Jallo 2015-09-16 21:59:21 EDT
Package Change Request
======================
Package Name: synapse
New Branches: f21 f22 f23
Owners: tonet666p
Comment 27 Christopher Meng 2015-09-16 22:01:34 EDT
If you modify fedora-review again, I will cancel the review here.

Please read comment 23 carefully.
Comment 28 Gwyn Ciesla 2015-09-17 13:21:20 EDT
Git done (by process-git-requests).
Comment 29 Fedora Update System 2015-09-20 22:53:29 EDT
synapse-0.2.99.1-6.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16276
Comment 30 Fedora Update System 2015-09-20 23:04:16 EDT
synapse-0.2.99.1-6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16280
Comment 31 Fedora Update System 2015-09-20 23:06:23 EDT
synapse-0.2.99.1-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16281
Comment 32 Fedora Update System 2015-09-21 14:19:33 EDT
synapse-0.2.99.1-6.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update synapse'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16276
Comment 33 Fedora Update System 2015-09-21 14:22:03 EDT
synapse-0.2.99.1-6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update synapse'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16280
Comment 34 Fedora Update System 2015-09-21 14:51:59 EDT
synapse-0.2.99.1-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update synapse'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16281
Comment 35 Fedora Update System 2015-09-26 23:21:52 EDT
synapse-0.2.99.1-6.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 36 Fedora Update System 2015-11-25 16:53:06 EST
synapse-0.2.99.1-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 37 Fedora Update System 2015-11-25 19:19:13 EST
synapse-0.2.99.1-6.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.